(function() {
	/*
	 * 連絡先を保存
	 */
	saveContact = function(){
		var myContact = applican.contacts.create();
		//名前
		myContact.displayName = document.getElementById("displayName").value;
		myContact.nickname    = document.getElementById("nickname").value;
		var name = new ContactName();
		name.givenName        = document.getElementById("givenName").value;
		name.familyName       = document.getElementById("familyName").value;
		myContact.name        = name;

		//住所
		var address = new ContactAddress();
		address.pref          = false;
		address.type          = "home";
		address.formatted     = "";
		address.streetAddress = document.getElementById("addressStreetAddress").value;
		address.locality      = document.getElementById("addressLocality").value;
		address.region        = document.getElementById("addressRegion").value;
		address.postalCode    = document.getElementById("addressPostalCode").value;
		address.country	      = document.getElementById("addressCountry").value;
		myContact.addresses	  = [address];

		//住所
		var phone  = new ContactField("work", document.getElementById("phone01").value, false);
		var phone2 = new ContactField("home", document.getElementById("phone02").value, false);
		myContact.phoneNumbers = [phone, phone2];

		//Webサイト
		var url  = new ContactField("home", document.getElementById("homeWebsite").value, false);
		var url2 = new ContactField("work", document.getElementById("workWebsite").value, false);
		myContact.urls = [url, url2];

		//メール
		var email  = new ContactField("home", document.getElementById("homeMail").value);
		var email2 = new ContactField("work", document.getElementById("workMail").value);
		myContact.emails = [email, email2];

		//IMアドレス
		var im  = new ContactField("Skype", document.getElementById("skype").value, false);
		var im2 = new ContactField("Facebook", document.getElementById("facebook").value, false);
	 	myContact.ims = [im, im2];

		//組織
		var organization = new ContactOrganization();
		organization.type       = document.getElementById("organizationType").value;
		organization.name       = document.getElementById("organizationName").value;
		organization.department = document.getElementById("organizationDepartment").value;
		organization.title      = document.getElementById("organizationTitle").value;
		myContact.organizations = [organization];

		//誕生日
		myContact.birthday = new Date(document.getElementById("birthday").value);

		//写真
		var photo = new ContactField("url", document.getElementById('photoImg').src);
		myContact.photos = [photo];
		
		//メモ
		myContact.note = document.getElementById("note").value;
		
		//連絡先情報を保存
		myContact.save(saveContactSuccess,saveContactError);
	}
	
	/*
	 * 連絡先を保存成功時のcallback処理
	 */
	function saveContactSuccess() {
		alert("連絡先を保存しました。");
		closeWebview();
	}
	
	/*
	 * 連絡先を保存失敗時のcallback処理
	 */
	function saveContactError() {
		alert("連絡先の保存に失敗しました。");
		closeWebview();
	}
	
	/*
	 * 画面を閉じる
	 */
	function closeWebview() {
		location.href = "?close_webview=yes";
	}
})();